読者です 読者をやめる 読者になる 読者になる

Rails5.1ではWebpackが導入される

ちょうど手元のRails アプリでsprockets捨ててみようかどうか調べていたところですが
いよいよ公式にjQuery外してyarnとWebpack導入するという議論がされているようです。
これはなかなか大きい変更です。

超いいまとめ。
Rails5.1に向けてフロントエンド周りで起こっている革命まとめ - Qiita

上記ページにリンクされていたDHHのWebpack使おうぜ発言。
Add Yarn support in new apps using --yarn option by Liceth · Pull Request #26836 · rails/rails    
google翻訳片手に読んでみましたが、 CLIのオプションは --webpack , --pipeline webpack になるかは分かりませんが(そんな大事じゃないと考えているようです) とりあえずWebpackを導入してみるようです。

See Also

Rails 5.1 の新機能 - rochefort's blog